part of '../../../../public.dart';

class InWhere<DataType> {
  final Iterable<DataType> values;
  final bool not;
  InWhere({
    required this.values,
    this.not = false,
  });

  bool check(DataType? field) {
    return not ^ values.contains(field);
  }

  Map<String, dynamic> toMap() => {"values": values.toList(), "not": not};
}
